using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Diagnostics;
using System.Threading;


namespace AsyncDataBinding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>

    public partial class Window1 : System.Windows.Window
    {
        MySource src = new MySource();
        public Window1()
        {
            InitializeComponent();

            Debug.WriteLine("UI thread: " + Thread.CurrentThread.ManagedThreadId);

            this.DataContext = src;

            changeButton.Click += new RoutedEventHandler(changeButton_Click);
        }

        void changeButton_Click(object sender, RoutedEventArgs e)
        {
            src.ReadNewData();
        }

    }
}