using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Threading;


namespace AsyncListBinding
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>

    public partial class Window1 : System.Windows.Window
    {
        ObservableCollection<string> source = new ObservableCollection<string>();

        public Window1()
        {
            InitializeComponent();

            source.Add("Foo");
            source.Add("Bar");

            list.ItemsSource = source;

            addButton.Click += new RoutedEventHandler(addButton_Click);
        }

        int count = 1;
        void addButton_Click(object sender, RoutedEventArgs e)
        {
            ThreadPool.QueueUserWorkItem(delegate
            {
                source.Add("Foobar" + count);
                count += 1;
            });
        }

    }
}