using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Data;

namespace DataBindingDemo
{
    public class LessThanOrEqual : IValueConverter
    {
        private double thresholdValue;

        public double Threshold
        {
            get { return thresholdValue; }
            set { thresholdValue = value; }
        }

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            double age = System.Convert.ToDouble(value);

            return age <= Threshold;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new Exception("The method or operation is not implemented.");
        }
    }
}
